#include "sim_thread.h"

#include <process.h>

SDL_Thread *ThreadCreat(Thread_Func_t func, char *name, void *pArg) {
    SDL_Thread *t = SDL_CreateThread(func, name, NULL);
    if (!t) {
        SDL_Log("CreateThread: %s", SDL_GetError);
        return nullptr;

    }
    return t;
}

void ThreadStop(SDL_Thread *t) {
    SDL_WaitThread(t, NULL);
}
